JAULA::Value_Null Class Reference
JAULA: JSON Values containers

class for handling null values More...

`#include <jaula_value_null.h>`

Inheritance diagram for JAULA::Value_Null:

## Public Member Functions

virtual void | repr (std::ostream &ostr) const
| Represents the instance in a stream.
virtual void | set (Value const &origin) throw (Bad_Data_Type)
| Copies the contents of one instance into another.
| Value_Null (void)
| Constructor.
virtual | ~Value_Null ()
| Destructor.
Public Member Functions inherited from JAULA::Value
ValueType | getType (void) const
| Retrieves the value type for the instance.
Value & | operator= (Value const &orig) throw (Bad_Data_Type)
| Assignment operator.
virtual | ~Value ()
| Destructor.

## Additional Inherited Members

Public Types inherited from JAULA::Value
enum | ValueType { TYPE_NULL , TYPE_BOOLEAN , TYPE_STRING , TYPE_NUMBER , TYPE_NUMBER_INT , TYPE_ARRAY , TYPE_OBJECT }
| Enumeration of available value types. More...
Static Public Member Functions inherited from JAULA::Value
static Value * | duplicate (Value const &orig)
| Creates a duplicate of a value.
Protected Member Functions inherited from JAULA::Value
| Value (ValueType Type)
| Constructor.

## Detailed Description

class for handling null values

  This class is a container for JSON Null values

Author
  Kombo Morongo moron.nosp@m.go66.nosp@m.6@gma.nosp@m.il.c.nosp@m.om

## Constructor & Destructor Documentation

## Value_Null()

JAULA::Value_Null::Value_Null | ( | void |  | ) |

Constructor.

References JAULA::Value::TYPE_NULL, and JAULA::Value::Value().

## ~Value_Null()

JAULA::Value_Null::~Value_Null | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## repr()

void JAULA::Value_Null::repr | ( | std::ostream & | ostr | ) | const

virtual

Represents the instance in a stream.

Parameters

  ostr | Stream where the instance is to be represented.

Description
  writes the instance content in JSON notation in a stream.

Implements JAULA::Value.

## set()

void JAULA::Value_Null::set | ( | Value const & | origin | ) |
throw | ( | Bad_Data_Type ) |  |  |

virtual

Copies the contents of one instance into another.

Parameters

  origin | Reference to the value to be copied.

Exceptions

  Bad_Data_Type | This exception is launched in case that origin and destination value types are different.

Reimplemented from JAULA::Value.

References JAULA::Exception::addOrigin(), JAULA::Value::set(), and JAULA::Value::Value().

The documentation for this class was generated from the following files:

- jaula_value_null.h
- jaula_value_null.cc

Back to JAULA Project Documentation Page.

Go to JAULA Project Home Page.

Copyright (c) 2007, 2008, 2009 Kombo Morongo.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

SourceForge.net